from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware
from src.router import hello_world

app = FastAPI()

app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

app.include_router(hello_world.router, prefix="/hello_world", tags=["Hello World"])
