from pydantic import BaseModel, Field
from typing import List, Optional


class Item(BaseModel):
    title: Optional[str] = Field(None, title="Title")
    description: Optional[str] = Field(None, title="Description")
    type: Optional[str] = Field(None, title="Type")


class ResponseItem(BaseModel):
    id: Optional[int] = Field(None, title="ID")
    title: Optional[str] = Field(None, title="Title")
    items: Optional[List[Item]] = Field(None, title="Items")
